## nova 2014.2

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.1.0),
 python-coverage,
 python-crypto,
 python-distutils-extra,
 python-eventlet (>= 0.13.0),
 python-feedparser,
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.14.0),
 python-greenlet (>= 0.3.2),
 python-hacking,
 python-ironicclient (>= 0.2.1),
 python-iso8601,
 python-jinja2,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.10.0),
 python-kombu (>= 2.5.12),
 python-libvirt,
 python-lockfile,
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-mock,
 python-mox,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.6),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.rootwrap (>= 1.3.0),
 python-oslo.vmware (>= 0.6.0),
 python-oslosphinx,
 python-oslotest,
 python-paramiko (>= 1.13.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-pyasn1,
 python-pycadf (>= 0.6.0),
 python-rfc3986,
 python-routes,
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx (>> 1.0),
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy,
 python-stevedore (>= 1.0.0),
 python-suds,
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 sqlite3,
 subunit,
 testrepository ( >= 0.0.17)
Build-Conflicts: python-cjson
Standards-Version: 3.9.3
Homepage: http://launchpad.net/nova
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/juno
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.1.0),
 python-eventlet (>= 0.13.0),
 python-glanceclient (>= 1:0.14.0),
 python-greenlet (>= 0.3.2),
 python-iso8601,
 python-jinja2,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.10.0),
 python-kombu (>= 2.5.12),
 python-lxml (>= 2.3),
 python-m2crypto,
 python-migrate (>= 0.9.1),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.vmware (>= 0.6.0),
 python-paramiko (>= 1.8.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pyasn1,
 python-pycadf (>= 0.6.0),
 python-routes,
 python-simplejson,
 python-six (>= 1.7.0),
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
 python-stevedore (>= 1.0.0),
 python-suds,
 python-webob (>= 1.2.3),
 sudo,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ldap
Conflicts: python-cjson
XB-Python-Version: ${python:Versions}
Recommends: python-mysqldb
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends:
 adduser,
 python-nova (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Recommends: python-glanceclient, python-keystone
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends:
 adduser,
 ebtables,
 genisoimage,
 iptables,
 kpartx,
 libvirt-bin,
 nova-compute (= ${binary:Version}),
 open-iscsi,
 parted,
 python-libvirt,
 qemu-utils,
 vlan,
 ${misc:Depends},
 ${python:Depends}
Suggests: guestmount, multipath-tools, sg3-utils, sysfsutils
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for all libvirt based
 hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-xen
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 xen-system-amd64 | xen-system-i386,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (Xen)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using Xen.

Package: nova-compute-qemu
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), qemu, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 qemu-system (>= 1.3.0) | kvm,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using kvm.

Package: nova-compute-vmware
Architecture: all
Depends: genisoimage, nova-compute (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (VMware)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .

## nova 2014.2.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.8.4,<=0.9.99,!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6
anyjson>=0.3.3,<=0.3.3
argparse
boto>=2.32.1,<2.35.0
decorator>=3.4.0,<=3.4.0
eventlet>=0.15.1,<=0.15.2
Jinja2<=2.7.2
keystonemiddleware>=1.0.0,<1.4.0
kombu>=2.5.0,<=3.0.7
lxml>=2.3,<=3.3.3
Routes>=1.12.3,!=2.0,<=2.1
WebOb>=1.2.3,<=1.3.1
greenlet>=0.3.2,<=0.4.2
PasteDeploy>=1.5.0,<=1.5.2
Paste<=1.7.5.1
sqlalchemy-migrate==0.9.1
netaddr>=0.7.12,<=0.7.13
suds==0.4
paramiko>=1.13.0,<=1.15.2
posix_ipc<=0.9.9
pyasn1<=0.1.7
Babel>=1.3,<=1.3
iso8601>=0.1.9,<=0.1.10
jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.1.0,<=1.1.1
python-neutronclient>=2.3.6,<2.4.0
python-glanceclient>=0.14.0,<=0.15.0
python-keystoneclient>=0.10.0,<=1.1.0
six>=1.7.0,<=1.9.0
stevedore>=1.0.0,<=1.2.0 # Apache-2.0
websockify>=0.6.0,<0.7
wsgiref>=0.1.2
oslo.config>=1.4.0,<=1.6.0 # Apache-2.0
oslo.db>=1.0.0,<1.1  # Apache-2.0
oslo.rootwrap>=1.3.0,<=1.5.0
pycadf>=0.6.0,<0.7.0  # Apache-2.0
oslo.messaging>=1.4.0,<1.5.0
oslo.i18n>=1.0.0,<=1.3.1 # Apache-2.0
lockfile>=0.8,<=0.8
simplejson>=2.2.0,<=3.3.1
rfc3986>=0.2.0,<=0.2.0 # Apache-2.0
oslo.vmware>=0.6.0,<0.9.0               # Apache-2.0

=== debian/changelog ===
nova (1:2014.2.3-0ubuntu1.1) utopic; urgency=medium

  * d/nova-compute.upstart: Fix (another) race between nova-compute
    and neutron-ovs-cleanup (LP: #1471022).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 06 Jul 2015 12:06:00 +0100

nova (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (4fdd83f) (LP: #1443429)
    - [af85403] Fixes Hyper-V: configdrive is not migrated to destination
    - [db827c7] Handle nova-network tuple format in legacy RPC calls
    - [85d335d] fix the websocket_bad_token test
    - [b29c8e0] Changed target version of NovaCompute object during Service backport
    - [7c4be65] libvirt: partial fix for live-migration with config drive
    - [5a0711d] libvirt: Fixes live migration for volume backed instances
    - [6f479a4] Don't create block device mappings in the API cell
    - [34f029e] libvirt: make default value of numa cell memory to 0 when not defined
    - [b4e3e87] Compute: catch more specific exception for _get_instance_nw_info
    - [676ba7b] Websocket Proxy should verify Origin header
    - [8c377b2] Fix kwargs['instance'] KeyError in @reverts_task_state decorator
    - [6c86f8e] Stop stacktracing in _get_filter_uuid
    - [a761c61] VMware: prevent exception with migrate_disk_and_power_off
    - [33dcffc] Handle MessagingException in unshelving instance
    - [f9bcf74] Handle 404 in os-baremetal-nodes GET
    - [b904b0b] Compute: Catch binding failed exception while init host
    - [b3f80bd] Make tests use sha256 as openssl default digest algorithm
    - [86efb1d] Transform IPAddress to string when creating port
    - [40b19d9] Fixes Hyper-V configdrive network injection issue
    - [ae0c898] Make code compatible with v4 auth and workaround webob bug.
    - [de1b33d] Fixes interfaces template identification issue
    - [42cae28] libvirt: Make sure volumes are well detected during block migration
    - [acb0cc0] Hyper-V: Fix retrieving console logs on live migration
    - [7a30e35] Use reasonable timeout for rpc service_update()
    - [7da8a1c] boot instance with same net-id for multiple --nic
    - [fd36262] Fixes Hyper-V should log a clear error message
    - [ae47935] Allow instances to attach to shared external nets
    - [e7828d9] Fix live migration RPC compatibility with older versions
    - [4ea3c18] Support macvtap for vif_type being hw_veb
    - [acefbcb] VMware: fix exception when multiple compute nodes are running
  * debian/patches/disable-websockify-tests.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:28:44 -0400

nova (1:2014.2.2-0ubuntu2) utopic; urgency=medium

  [ Edward Hope-Morley ]
  * Fixed race between nova-compute and neutron-ovs-cleanup (LP: #1420572)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:43:24 -0400

nova (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (0bad3b1) (LP: #1418695):
    - [965fd30] Eventlet green threads not released back to pool
    - [4349015] Fix unit test failure due to tests sharing mocks
    - [33e0813] Fix image metadata returned for volumes
    - [af3af77] Fixes Hyper-V boot from volume live migration
    - [8c07d42] Add LibvirtGPFSVolumeDriver class
    - [1e4088f] Truncate encoded instance message to 255 or fewer
    - [4c1f28a] Fix connecting unnecessary iSCSI sessions issue
    - [4d91175] Add handling of BadRequest from Neutron
    - [9ee1a0f] only emit deprecation warnings once
    - [56e3dd3] Make ec2 auth support v4 signature format
    - [9f81d9b] Update eventlet API in libvirt driver
    - [2dec248] Unshelving a volume backed instance doesn't work
    - [d9bcfab] Return floating_ip['fixed_ip']['instance_uuid'] from neutronv2 API
    - [5e44c9f] fix pep8 errors that apparently slipped in
    - [7307dba] Fix disconnecting necessary iSCSI sessions issue
    - [eb58ed4] libvirt: safe_decode domain.XMLDesc(0) for i18n logging
    - [ee66c04] Fix ironic delete fails when flavor deleted
    - [39097d3] Add virtual interface before add fixed IP on nova-network
    - [46fa995] Fix live migration api stuck when migrate to old nova node
    - [2da2341] Extends use of ServiceProxy to more methods in HostAPI in cells
    - [699b467] Don't make a no-op DB call
    - [8a3b609] Fix libvirt watchdog support
    - [4dd5080] VMware: fix compute node exception when no hosts in cluster
    - [0bad3b1] Sync strutils from oslo-incubator for mask_password fix
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:38:28 -0500

nova (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (3136cfc) (LP: #1398952):
    - [ee00c80] Instances with NUMA will be packed onto hosts
    - [ccb7ef2] Make Instance.save() update numa_topology
    - [3d0b946] objects: Makes sure Instance._save methods are called
    - [27d071f] Add support for fitting instance NUMA nodes onto a host
    - [6607de4] Add CHAP credentials support
    - [361ece2] Add legacy to the possible server group policies
    - [947bc73] Fix exception handling in _get_host_metrics()
    - [04d6471] Fix for extra_specs KeyError
    - [9b6699f] Use opportunistic approach for migration testing
    - [9c3ec16] Clean up iSCSI multipath devices in Post Live Migration
    - [ce1d1dd] Fix nova-compute start issue after evacuate
    - [7920cfd] Fix nova evacuate issues for RBD
    - [f9be946] Run build_and_run_instance in a separate greenthread
    - [e98738d] Fixes DOS issue in instance list ip filter
    - [9bb36c3] Keep migration status if instance still resizing
    - [6ffc2be] Translate 'powervm' hypervisor_type to 'phyp' for scheduling
    - [c159f91] Use response.text for returning unicode EC2 metadata
    - [837411a] Add @_retry_on_deadlock to _instance_update()
    - [d5e970d3] VMware: attach config drive if booting from a volume


=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  python-cinderclient (>= 1:1.1.0),
  python-coverage,
  python-crypto,
+ python-decorator (>=3.4.0),
  python-distutils-extra,
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-feedparser,
  python-fixtures (>= 0.3.14),
  python-glanceclient (>= 1:0.14.0),
@@ -30,12 +31,13 @@
  python-jinja2,
  python-jsonschema (>= 1.3.0),
  python-keystoneclient (>= 1:0.10.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
  python-libvirt,
  python-lockfile,
  python-lxml (>= 2.3),
  python-migrate (>= 0.9.1),
- python-mock,
+ python-mock (>= 1.0),
  python-mox,
  python-netaddr (>= 0.7.6),
  python-neutronclient (>= 1:2.3.6),
@@ -86,13 +88,15 @@
  python-babel,
  python-boto (>= 2.4.0),
  python-cinderclient (>= 1:1.1.0),
- python-eventlet (>= 0.13.0),
+ python-decorator (>=3.4.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
  python-iso8601,
  python-jinja2,
  python-jsonschema (>= 1.3.0),
  python-keystoneclient (>= 1:0.10.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
  python-lxml (>= 2.3),
  python-m2crypto,
@@ -106,6 +110,7 @@
  python-paramiko (>= 1.8.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.6),
  python-pyasn1,
  python-pycadf (>= 0.6.0),
  python-routes,
@@ -330,9 +335,3 @@
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
  and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
- OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
- addition to its "native" API (the OpenStack API), it also supports the Amazon
- EC2 API.
- .

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/nova/ nova-(\d.*)\.tar\.gz

## nova 2014.2.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
SQLAlchemy!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6,<=0.9.99,>=0.8.4
anyjson<=0.3.3,>=0.3.3
argparse
boto<2.35.0,>=2.32.1
decorator<=3.4.0,>=3.4.0
eventlet<=0.15.2,>=0.15.1
Jinja2<=2.7.2
keystonemiddleware<1.4.0,>=1.0.0
kombu<=3.0.15,>=2.5.0
lxml<=3.3.3,>=2.3
Routes!=2.0,<=2.1,>=1.12.3
WebOb<=1.3.1,>=1.2.3
greenlet<=0.4.2,>=0.3.2
PasteDeploy<=1.5.2,>=1.5.0
Paste<=1.7.5.1
sqlalchemy-migrate==0.9.1
netaddr<=0.7.13,>=0.7.12
suds==0.4
paramiko<=1.15.2,>=1.13.0
posix-ipc<=0.9.9
pyasn1<=0.1.7
Babel<=1.3,>=1.3
iso8601<=0.1.10,>=0.1.9
jsonschema<3.0.0,>=2.0.0
python-cinderclient<=1.1.1,>=1.1.0
python-neutronclient<2.4.0,>=2.3.6
python-glanceclient<0.15.0,>=0.14.0
python-keystoneclient<1.2.0,>=0.10.0
six<=1.9.0,>=1.7.0
stevedore<=1.3.0,>=1.0.0 # Apache-2.0
websockify<0.7,>=0.6.0
wsgiref>=0.1.2
oslo.config<=1.6.0,>=1.4.0 # Apache-2.0
oslo.db<1.1,>=1.0.0 # Apache-2.0
oslo.rootwrap<=1.5.0,>=1.3.0
pycadf!=0.6.2,<0.7.0,>=0.6.0 # Apache-2.0
oslo.messaging<1.5.0,>=1.4.0
oslo.i18n<=1.3.1,>=1.3.0 # Apache-2.0
lockfile<=0.8,>=0.8
simplejson<=3.3.1,>=2.2.0
rfc3986<=0.2.0,>=0.2.0 # Apache-2.0
oslo.vmware<0.9.0,>=0.6.0 # Apache-2.0

=== debian/changelog ===
nova (1:2014.2.4-0ubuntu1~cloud4) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 10:33:50 -0500

nova (1:2014.2.4-0ubuntu1~cloud3) trusty-juno; urgency=medium

  * d/control: Add python-rfc3986 to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2015 15:31:43 -0500

nova (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/p/handle-libvirt-error-in-destroy.patch: Handle libvirt error
    during destroy when the sigkill fails due to an EBUSY (LP: #1353939).
  * d/rules: Fixup conflicting override_dh_python2 targets.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2015 11:04:19 -0500

nova (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:52:05 -0500

nova (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (3212242) (LP: #1518323):
    - [9d2abbd] Fix live-migrations usage of the wrong connector information
    - [4b439b9] libvirt: fix failure when attaching volume to iso instance
    - [fa72fb8] Delete orphaned instance files from compute nodes
    - [dc5ced2] Don't expect meta attributes in object_compat that aren't in the db obj
    - [539693e] libvirt: Kill rsync/scp processes before deleting instance
    - [bf23643] Sync process utils from oslo for execute callbacks
    - [77d33a3] Don't pass the service catalog when making glance requests
    - [692b5ef] Fixes _cleanup_rbd code to capture ImageBusy exception
    - [53c87f9] Add some tests for the error path(s) in RBD cleanup_volumes()
    - [5cf20f3] Fix rebuild of an instance with a volume attached
    - [e450301] Make use_syslog=True log to syslog via /dev/log
    - [f2ab613] network: fix instance cache refresh for empty list
    - [624345b] libvirt: Don't try to confine a non-NUMA instance
    - [3b9ae16] Mark ironic credential config as secret
    - [7bc4be7] compute: stop handling virt lifecycle events in cleanup_host()
    - [90793b9] Fix quota-update in deleting when nova-compute startup finish
    - [3b62ab5] Make _get_instance_block_device_info preserve root_device_name
    - [79b2b94] Pass block device info in pre_live_migration
    - [6f1f9db] Allow disabling the evacuate cleanup mechanism in compute manager
    - [8f13587] libvirt: safe_decode xml for i18n logging
    - [be8be39] Fix cells rpc connection leak
    - [6208365] Delay STOPPED lifecycle event for all domains, not just Xen
    - [0f7fd92] Don't wait for an event on a resize-revert
    - [5733f4c] Make test_version_string_with_package_is_good work with pbr 0.11
    - [b6692dd] Honor shared storage on resize revert
    - [11e773b] Forbid booting of QCOW2 images with virtual_size > root_gb
    - [98834ab] libvirt: Fail when live block migrating instance with volumes
    - [6db3823] Hyper-V: Sets *DataRoot paths for instances
    - [c2ef829] Support both list and dict for pci_passthrough_whitelist
    - [b251958] Type conflict in trusted_filter.py using attestation_port default value
    - [54e099c] Moves trusted filter unit tests into own file
    - [8718e51] Hyper-V: checks for existent Notes in list_instance_notes
    - [1ace2f5] Fixes Hyper-V dynamic memory issue with vNUMA
    - [aaf256a] Failed to discovery when iscsi multipath and CHAP both enabled
    - [6c4f6fb] Move ComputeNode creation at init stage in ResourceTracker
    - [662f1ee] let fake virt track resources
    - [cfce73b] Pass correct context to get_by_compute_node()
    - [f60214b] Delay STOPPED lifecycle event for Xen domains
    - [6833176] libvirt: remove pointless loop after live migration finishes
    - [141bfd9] Filter fixed IPs from requested_networks in deallocate_for_instance
    - [b0d8d69] Raise exception when backup volume-backed instance
    - [729483f] Better power_state logging in _sync_instance_power_state
    - [bbf6348] Save bdm.connection_info before calling volume_api.attach_volume
    - [5ff5afe] compute: don't trace on InstanceNotFound in reverts_task_state
    - [6cc2dc8] Fix detach_sriov_ports to get context to be able to get image metadata
    - [785510d] Fix BM nodes extension to deal with missing node properties
    - [3212242] Make service-delete work in API cells
  * d/p/fix-requirements.patch: Revert python-oslo.i18n to >= 1.0.0.
  * d/p/add-support-for-syslog-connect-retries.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 15:43:03 -0500

nova (1:2014.2.3-0ubuntu1.2) utopic; urgency=medium

  * Add rsyslog retry support (LP: #1459046)
    - d/p/add-support-for-syslog-connect-retries.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 16 Jul 2015 10:42:25 +0100

=== debian/control ===
--- 
+++ 
@@ -98,6 +98,7 @@
  python-keystoneclient (>= 1:0.10.0),
  python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
+ python-lockfile,
  python-lxml (>= 2.3),
  python-m2crypto,
  python-migrate (>= 0.9.1),
@@ -105,14 +106,18 @@
  python-neutronclient (>= 1:2.3.6),
  python-oslo.config (>= 1:1.4.0),
  python-oslo.db (>= 1.0.0),
+ python-oslo.i18n (>= 1.0.0),
  python-oslo.messaging (>= 1.4.0),
+ python-oslo.rootwrap (>= 1.3.0),
  python-oslo.vmware (>= 0.6.0),
  python-paramiko (>= 1.8.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
+ python-posix-ipc,
  python-pyasn1,
  python-pycadf (>= 0.6.0),
+ python-rfc3986,
  python-routes,
  python-simplejson,
  python-six (>= 1.7.0),
@@ -333,5 +338,3 @@
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (VMware)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
- and private cloud providers regardless of size, by being simple to implement

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]:)*([^-]+).*,\2,p')
export OSLO_PACKAGE_VERSION=$(VERSION)

# Send HTTP traffic to “discard” service
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 644 debian/source_nova.py debian/php5-common/usr/share/apport/package-hooks/source_nova.py
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt.conf
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_installlogrotate:
	dh_installlogrotate
	dh_installlogrotate --name=nova-manage
	dh_installlogrotate --name=nova-dhcpbridge

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## nova 2015.1~rc1

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
 Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50),
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu5~),
  python-all (>= 2.6),
  python-all-dev (>= 2.6.6-3~)
 Build-Depends-Indep:
@@ -13,67 +15,80 @@
  openssl,
  python-amqplib (>= 0.6.1),
  python-anyjson (>= 0.3.3),
- python-babel,
- python-boto (>= 2.4.0),
+ python-babel (>= 1.3),
+ python-barbicanclient (>= 3.0.1),
+ python-boto (>= 2.32.1),
  python-cinderclient (>= 1:1.1.0),
- python-coverage,
+ python-coverage (>= 3.6),
  python-crypto,
- python-decorator (>=3.4.0),
+ python-decorator (>= 3.4.0),
  python-distutils-extra,
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ python-eventlet (>= 0.16.1),
  python-feedparser,
  python-fixtures (>= 0.3.14),
- python-glanceclient (>= 1:0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-hacking,
+ python-hacking (>= 0.10.0),
  python-ironicclient (>= 0.2.1),
- python-iso8601,
- python-jinja2,
- python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-iso8601 (>= 0.1.9),
+ python-jinja2 (>= 2.6),
+ python-jsonschema (>= 2.0.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-kombu (>= 2.5.12),
  python-libvirt,
  python-lockfile,
  python-lxml (>= 2.3),
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mock (>= 1.0),
  python-mox,
- python-netaddr (>= 0.7.6),
- python-neutronclient (>= 1:2.3.6),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.rootwrap (>= 1.3.0),
- python-oslo.vmware (>= 0.6.0),
- python-oslosphinx,
- python-oslotest,
+ python-mox3 (>= 0.7.0),
+ python-mysqldb,
+ python-netaddr (>= 0.7.12),
+ python-neutronclient (>= 1:2.3.11),
+ python-nose,
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-vmware (>= 0.11.0),
+ python-oslosphinx (>= 2.2.0),
+ python-oslotest (>= 1:1.2.0),
  python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
  python-posix-ipc,
+ python-psutil (>= 1.1.1),
+ python-psycopg2,
  python-pyasn1,
  python-pycadf (>= 0.6.0),
- python-rfc3986,
- python-routes,
+ python-requests-mock (>= 0.5.1),
+ python-rfc3986 (>= 0.2.0),
+ python-routes (>= 1.12.3),
  python-setuptools,
- python-six (>= 1.7.0),
- python-sphinx (>> 1.0),
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy,
- python-stevedore (>= 1.0.0),
- python-suds,
- python-testtools (>= 0.9.32),
+ python-six (>= 1.9.0),
+ python-sphinx (>= 1.1.2),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-tempest-lib (>= 0.3.0),
+ python-testresources,
+ python-testtools (>= 0.9.36),
  python-webob (>= 1.2.3),
  sqlite3,
- subunit,
- testrepository ( >= 0.0.17)
+ subunit (>= 0.0.18),
+ testrepository ( >= 0.0.18)
 Build-Conflicts: python-cjson
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://launchpad.net/nova
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/kilo
 XS-Testsuite: autopkgtest
 X-Python-Version: >= 2.7
 
@@ -85,47 +100,48 @@
  openssl,
  python-amqplib (>= 0.6.1),
  python-anyjson (>= 0.3.3),
- python-babel,
- python-boto (>= 2.4.0),
+ python-babel (>= 1.3),
+ python-boto (>= 2.32.1),
  python-cinderclient (>= 1:1.1.0),
- python-decorator (>=3.4.0),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
- python-glanceclient (>= 1:0.14.0),
+ python-decorator (>= 3.4.0),
+ python-eventlet (>= 0.16.1),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-iso8601,
- python-jinja2,
- python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-iso8601 (>= 0.1.9),
+ python-jinja2 (>= 2.6),
+ python-jsonschema (>= 2.0.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-kombu (>= 2.5.12),
- python-lockfile,
  python-lxml (>= 2.3),
  python-m2crypto,
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.rootwrap (>= 1.3.0),
- python-oslo.vmware (>= 0.6.0),
- python-paramiko (>= 1.8.0),
+ python-neutronclient (>= 1:2.3.11),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
- python-posix-ipc,
+ python-psutil (>= 1.1.1),
  python-pyasn1,
  python-pycadf (>= 0.6.0),
- python-rfc3986,
- python-routes,
+ python-rfc3986 (>= 0.2.0),
+ python-routes (>= 1.12.3),
  python-simplejson,
- python-six (>= 1.7.0),
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
- python-stevedore (>= 1.0.0),
- python-suds,
+ python-six (>= 1.9.0),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
  python-webob (>= 1.2.3),
- sudo,
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-ldap
@@ -234,8 +250,8 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- This package provides common dependencies and setup for all libvirt based
- hypervisor options.
+ This dependency package provides common dependencies and setup for all libvirt
+ based hypervisor options.
 
 Package: nova-compute-lxc
 Architecture: all
@@ -325,16 +341,3 @@
  EC2 API.
  .
  Nova is intended to be modular and easy to extend and adapt. It supports many
- different hypervisors (KVM and Xen to name a few), different database backends
- (SQLite, MySQL, and PostgreSQL, for instance), different types of user
- databases (LDAP or SQL), etc.
- .
- Install this package on your compute nodes if you're using kvm.
-
-Package: nova-compute-vmware
-Architecture: all
-Depends: genisoimage, nova-compute (= ${binary:Version}), ${misc:Depends}
-Provides: nova-compute-hypervisor
-Conflicts: nova-compute-hypervisor
-Description: OpenStack Compute - compute node (VMware)
- OpenStack is a reliable cloud infrastructure. Its mission is to produce

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

# Send HTTP traffic to “discard” service
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

%:
	dh $@ --with python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	# Fix any api sample template files with broken permissions
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P nova.tests.unit
	#testr init && testr run 
endif

## nova 2015.1%7erc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.9.7,<=0.9.99
boto>=2.32.1
decorator>=3.4.0
eventlet>=0.16.1,!=0.17.0
Jinja2>=2.6  # BSD License (3 clause)
keystonemiddleware>=1.5.0
lxml>=2.3
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.9.5
netaddr>=0.7.12
paramiko>=1.13.0
pyasn1
Babel>=1.3
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.1.0
python-neutronclient>=2.3.11,<3
python-glanceclient>=0.15.0
six>=1.9.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
websockify>=0.6.0,<0.7
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
rfc3986>=0.2.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
psutil>=1.1.1,<2.0.0
